<?php namespace Image\Api;
use Dever;
use Manage\Lib\Auth;
class Manage extends Auth
{
    public function set()
    {
        $data = array();
        $data['id'] = Dever::input('id');
        $data['state'] = Dever::input('state');
        $data['pic'] = Dever::input('pic');
        $data['wh'] = Dever::input('wh');
        $data['ratio'] = 16 / 9;
        if ($data['wh']) {
            if (strstr($data['wh'], '*')) {
                $data['ratio'] = $this->ratio('*', $data['wh']);
            } elseif (strstr($data['wh'], 'x')) {
                $data['ratio'] = $this->ratio('x', $data['wh']);
            } elseif (strstr($data['wh'], 'X')) {
                $data['ratio'] = $this->ratio('X', $data['wh']);
            } else {
                $data['ratio'] = 1;
            }
        }
        $data['search_cate'] = 1;
        $data['param'] = '';
        if (strstr($data['pic'], '_cr_')) {
            $ext = '.' . pathinfo($data['pic'], PATHINFO_EXTENSION);
            $temp = explode('_cr_', $data['pic']);
            $param = $data['pic'];
            $data['pic'] = $temp[0];
            $data['param'] = str_replace($ext, '', $temp[1]);
        }
        $data['submit'] = Dever::url('image/manage.cropper');
        Dever::view('set', $data);
    }

    public function cropper()
    {
        $send['param'] = array();
        $input = Dever::input();
        foreach ($input as $k => $v) {
            if (strpos($k, 'param_') === 0) {
                $send['param'][$k] = $v;
            }
        }
        $cate = 2;
        $id = Dever::input('id');
        $source = Dever::input('img');
        $dest = Dever::input('pic');
        $dest = explode('/', $dest);
        $dest = end($dest);
        $dest .= '_cr_' . implode('_', $send['param']);
        $result = Dever::load('save', 'upload')->act($id, $source, false, false, $dest, $cate);
        return $result;
    }

    private function ratio($str, $wh)
    {
        $temp = explode($str, $wh);
        $ratio = $temp[0] / $temp[1];
        return $ratio;
    }
}